## org.apache.lucene.xmlparser.builders
Class DuplicateFilterBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.DuplicateFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class DuplicateFilterBuilder

extends Object
implements FilterBuilder

Constructor Summary
`DuplicateFilterBuilder()`

Method Summary
`org.apache.lucene.search.Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DuplicateFilterBuilder

    public DuplicateFilterBuilder()

Method Detail

### getFilter

    public org.apache.lucene.search.Filter getFilter(Element e)
                                              throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.